Subject: [Tools-discuss] definitions and hanging lists in kramdown/markdown

From: Michael Richardson <[email-masked]>
Date: Mon, 13 Aug 2018 12:16:06 -0400

Many of our drafts have descriptions of things like terminology.
In HTML-speak, we use <DL><DT><DD> lots. In XML it looks like:

<t hangText="someterminology:">some explanation of the term.</t>

To Carsten and other experts:
   how do I do this in Kramdown?

This cheet sheet shows using HTML for DT/DD , which I really don't want to do:
     https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet

I looked at a few other cheat sheets, and I found:

term
: definition

I didn't find anything at https://github.com/cabo/kramdown-rfc2629/wiki/Syntax

I also opened a ticket.

(I also note that the CELLAR authors are using a different markdown
processor)

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Tom Pusateri <[email-masked]>
Date: Mon, 13 Aug 2018 12:29:36 -0400

We have been using this with the kramdown-rfc262 tool:

————————————————

DSO:
: DNS Stateful Operations.

connection:
: a bidirectional byte (or message) stream,
where the bytes (or messages) are delivered reliably and in-order,
such as provided by using
DNS over TCP {{!RFC1035}} {{!RFC7766}} or DNS over TLS {{?RFC7858}}.

session:
: The unqualified term "session" in the context of this document refers to
a persistent network connection between two endpoints which allows for
the exchange of
DNS messages over a connection where either end of the connection can
send messages to the other end.
(The term has no relationship to the "session layer" of the
OSI "seven-layer model".)

—————————————————
It generates this in the XML:

<t><list style="hanging">
  <t hangText='DSO:'>
  DNS Stateful Operations.</t>
  <t hangText='connection:'>
  a bidirectional byte (or message) stream,
where the bytes (or messages) are delivered reliably and in-order,
such as provided by using
DNS over TCP <xref target="RFC1035"/> <xref target="RFC7766"/> or DNS over TLS <xref target="RFC7858"/>.</t>
  <t hangText='session:'>
  The unqualified term “session” in the context of this document refers to
a persistent network connection between two endpoints which allows for
the exchange of
DNS messages over a connection where either end of the connection can
send messages to the other end.
(The term has no relationship to the “session layer” of the
OSI “seven-layer model”.)</t>

> On Aug 13, 2018, at 12:16 PM, Michael Richardson <[email-masked]> wrote:
> 
> 
> ___________________________________________________________
> Tools-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-discuss
> 
> Please report datatracker.ietf.org and mailarchive.ietf.org
> bugs at http://tools.ietf.org/tools/ietfdb
> or send email to [email-masked]
> 
> Please report tools.ietf.org bugs at
> http://tools.ietf.org/tools/issues
> or send email to [email-masked]

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 13 Aug 2018 18:32:17 +0200

> On Aug 13, 2018, at 18:16, Michael Richardson <[email-masked]> wrote:
> 
> Signed PGP part
> 

Some terminology:
: some explanation of the term

>     https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet

That wouldn’t work in kramdown-rfc, because there is no HTML in the pipeline.

This would work:

<list style="hanging"><t hangText="someterminology:">some explanation of the term.</t></list>

I have no idea why this needs to be on a single input line, though.

> I looked at a few other cheat sheets, and I found:

Yes.  Did you try that and it didn’t do what you wanted?

> I didn’t find anything at https://github.com/cabo/kramdown-rfc2629/wiki/Syntax

OK, that is recurring on 
https://kramdown.gettalong.org/syntax.html
which has
https://kramdown.gettalong.org/syntax.html#definition-lists

> (I also note that the CELLAR authors are using a different markdown

The syntax for definition lists is not part of Gruber’s original markdown, but it pretty universal now.
What markdown processor are they using?

Grüße, Carsten